.TH COLORPICK 1
.SH NAME
colorpick \- select a color from the screen
.SH SYNOPSIS
.PP
.B colorpick
.SH DESCRIPTION
.I Colorpick
allows picking a color from the screen image from 
.B /dev/screen. 
It will output a string of the form 0xRRGGBBAA representing a 32-bit hexadecimal color value as defined in
.IR allocimage (2).
.PP
Clicking mouse button 1 and dragging off of the window will change the selected color to the color below the cursor. The window will update its color to the selected color. 
.PP
A menu on mouse button 3 contains two entries:
.TF Finish
.TP
.B Finish
Output the hex color and exit.
.TP
.B Cancel
Exit and output nothing.
.PD
.PP
Mouse button 3 may be pressed while mouse button 1 is held.
.SH SOURCE
.B hopefully /sys/src/cmd/colorpick.c
.br
.B otherwise, wherever you left it
.SH SEE ALSO
.IR colors (1), 
.IR color (6)
.SH BUGS
.PP
.B /dev/screen
is read once at initialization. If the screen changes after, colorpick will pick the original screen, not the current screen.
